#ifndef __PROJECT_ITEM_H__
#define __PROJECT_ITEM_H__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

typedef enum {
    PROJECT_ITEM_NEW = 0,
    PROJECT_ITEM_UPDATE,
    PROJECT_ITEM_DONE,
    PROJECT_ITEM_STOP,
    PROJECT_ITEM_DELETE,
    PROJECT_ITEM_SPEEDLIMIT
} ProjectItemType;

typedef struct {
    ProjectItemType type;
    gint project_id;
    gint id;
    GdkPixbuf *mimetype_pixbuf;
    gchar *localpath;
    gint status;
    gchar *url;
    gdouble percent;
    gint speed;
    gdouble downloaded;
    gdouble total;
    guint speedlimit;
} ProjectItem;


#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __PROJECT_ITEM_H__ */
